Package org.springframework.web.multipart.support

# Class ByteArrayMultipartFileEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.beans.propertyeditors.ByteArrayPropertyEditor
org.springframework.web.multipart.support.ByteArrayMultipartFileEditor

All Implemented Interfaces:
  `PropertyEditor`

public class ByteArrayMultipartFileEditor extends org.springframework.beans.propertyeditors.ByteArrayPropertyEditor
Custom `PropertyEditor` for converting `MultipartFiles` to byte arrays.

Since:
  13.10.2003
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`ByteArrayMultipartFileEditor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
`void`
`setValue(Object value)`

### Methods inherited from class org.springframework.beans.propertyeditors.ByteArrayPropertyEditor

`setAsText`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteArrayMultipartFileEditor

public ByteArrayMultipartFileEditor()

## Method Details

### setValue

public void setValue(@Nullable Object value)

Specified by:
  `setValue` in interface `PropertyEditor`
Overrides:
  `setValue` in class `PropertyEditorSupport`

### getAsText

public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `org.springframework.beans.propertyeditors.ByteArrayPropertyEditor`